"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const algosdk_1 = require("algosdk");
class Accounts {
    static async validateAddress(address) {
        return algosdk_1.default.isValidAddress(address);
    }
    static async getBalanceAlgos(client, address) {
        const balanceMicroalgos = await Accounts.getBalanceMicroalgos(client, address);
        return algosdk_1.default.microalgosToAlgos(balanceMicroalgos);
    }
    static async getBalanceMicroalgos(client, address) {
        const accountInfo = await client.accountInformation(address).do();
        const balance = accountInfo['amount'];
        return balance;
    }
    static async getMinBalance(client, address) {
        const account = await client.accountInformation(address).do();
        const minBalance = account['min-balance'];
        return algosdk_1.default.microalgosToAlgos(minBalance);
    }
}
exports.default = Accounts;
//# sourceMappingURL=accounts.js.map