"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Apps {
    static async getGlobalState(client, addr, appId) {
        const globalState = {};
        const accountInfo = await client.accountInformation(addr).do();
        const createdApps = accountInfo['created-apps'];
        const app = createdApps.find((elem) => elem.id == appId);
        if (app) {
            const appState = app['params']['global-state'];
            for (let valueIndex = 0; valueIndex < appState.length; valueIndex++) {
                const valuePair = appState[valueIndex];
                const valueKey = Buffer.from(valuePair.key, 'base64').toString();
                globalState[valueKey] = valuePair.value;
            }
        }
        return globalState;
    }
}
exports.default = Apps;
//# sourceMappingURL=apps.js.map