"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assets_1 = require("./assets");
class Metadata {
    static getAndDecodeNote(txRecord) {
        const txNote = txRecord['note'];
        if (!txNote)
            throw new Error('Asset do not have note msg');
        const decodedNote = Buffer.from(txNote, 'base64').toString('utf8');
        try {
            return JSON.parse(decodedNote);
        }
        catch (e) {
            throw new Error('Asset not compatible with ARC-69');
        }
    }
    static async getAsaCreationTx(indexer, assetId) {
        const assetTx = await indexer.lookupAssetTransactions(assetId).do();
        const createTx = assetTx['transactions'][0];
        return createTx;
    }
    static async getAssetIdByMetadataHash(client, hash, creator) {
        const assets = (await assets_1.default.getCreatedAssets(client, creator));
        const asset = assets.find((asa) => asa['params']['metadata-hash'] == hash);
        return asset == undefined ? -1 : asset.index;
    }
    static async getAssetMetadata(indexer, assetId) {
        const createTx = await Metadata.getAsaCreationTx(indexer, assetId);
        return Metadata.getAndDecodeNote(createTx);
    }
}
exports.default = Metadata;
//# sourceMappingURL=metadata.js.map