"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlgoNode = exports.AlgoNodeOnlyClient = void 0;
const types_1 = require("../common/types");
const provider_1 = require("./provider");
class AlgoNodeOnlyClient extends provider_1.ProviderOnlyClient {
    constructor(network, token) {
        const port = 443;
        const algoToken = token ?? '';
        const endpoint = getAlgoNodeServer(network);
        super(algoToken, endpoint, port);
    }
}
exports.AlgoNodeOnlyClient = AlgoNodeOnlyClient;
class AlgoNode extends provider_1.Provider {
    constructor(network) {
        const port = 443;
        const endpoint = getAlgoNodeServer(network);
        const indexerEndpoint = getIndexerServer(network);
        super('', endpoint, port, '', indexerEndpoint, port);
    }
}
exports.AlgoNode = AlgoNode;
function getAlgoNodeServer(network) {
    switch (network) {
        case types_1.ENetworks.MAINNET:
            return 'https://mainnet-api.algonode.cloud';
        case types_1.ENetworks.TESTNET:
            return 'https://testnet-api.algonode.cloud';
        case types_1.ENetworks.BETANET:
            return 'https://betanet-api.algonode.cloud';
        default:
            throw new Error('Unknown network');
    }
}
function getIndexerServer(network) {
    switch (network) {
        case types_1.ENetworks.MAINNET:
            return 'https://mainnet-idx.algonode.cloud';
        case types_1.ENetworks.TESTNET:
            return 'https://testnet-idx.algonode.cloud';
        case types_1.ENetworks.BETANET:
            return 'https://betanet-idx.algonode.cloud';
        default:
            throw new Error('Unknown network');
    }
}
//# sourceMappingURL=algonode-providers.js.map