import { Provider, ProviderOnlyClient } from './providers';
import * as common from './common/types';
export declare class ReaderOnlyClient {
    provider: ProviderOnlyClient;
    constructor(provider: ProviderOnlyClient);
    validateAddress(address: string): Promise<boolean>;
    getBalanceAlgos(address: string): Promise<number>;
    getBalanceMicroalgos(address: string): Promise<number>;
    getMinBalance(address: string): Promise<number>;
    getCreatedAssets(address: string): Promise<common.AssetInfo[]>;
    getAsaBalance(address: string, asaId: number): Promise<number>;
    isOptIn(address: string, asaId: number): Promise<boolean>;
    getTokenCirculatingSupply(asaId: number): Promise<number>;
    getAssetIdByMetadataHash(hash: string, creator: string): Promise<number>;
    getPendingTx(address: string): Promise<unknown>;
    thereArePendingTxs(address: string): Promise<boolean>;
    getGlobalState(addr: string, appId: number): Promise<any>;
}
export declare class Reader extends ReaderOnlyClient {
    provider: Provider;
    constructor(provider: Provider);
    getAssetMetadata(assetId: number): Promise<string>;
}
