"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const test = require("./testConfig");
describe('TransactionTest::ReaderOnlyClient: happy path', () => {
    const provider = new index_1.AlgoNodeOnlyClient(index_1.ENetworks.TESTNET);
    const reader = new index_1.ReaderOnlyClient(provider);
    it('Should return the pending txs from an account', async () => {
        const pendingTxs = await reader.getPendingTx(test.address);
        expect(pendingTxs).toBeDefined();
    });
    it('Should return false if there is not a pending tx', async () => {
        const pendingTxs = await reader.thereArePendingTxs(test.address);
        expect(pendingTxs).toBe(false);
    });
});
//# sourceMappingURL=transactionOC.test.js.map